package net.northking.cctp.element.desktop.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * <p>Title: EnvTypeEnum</p>
 * <p>Description: 浏览器类型</p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/10/17
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public enum BrowserTypeEnum implements EnumClass {
    /**
     * IE
     */
    ie("IE",1),
    /**
     * chrome
     */
    chrome("chrome",2),
    /**
     * edge
     */
    edge("edge", 3),
    /**
     * firefox
     */
    HzbankFireFox("HzbankFireFox", 5);

    private String key;

    private Integer value;

    BrowserTypeEnum(String key, Integer value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (BrowserTypeEnum nullEnum : EnumSet.allOf(BrowserTypeEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
